Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039348
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2018-09-25 10:082019-08-22 14:45
ReportercaristuView Statuspublic 
Assigned Tocberner 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision302bd81b609d
ProjectionnoneETAnoneTarget Version3.0PR19Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039348: Review Activation_Message callout usage

DescriptionThe usage of the Activation_Message callout should be reviewed. It is currently associated with two columns AD_System_Info_ID and TextProxy in AD_System_Info table.

The fields related with those columns are currently not being displayed in the UI.

Therefore the message to be displayed by the callout seems that is not the expected one[1].

[1] https://code.openbravo.com/erp/devel/pi/file/tip/src/org/openbravo/erpCommon/ad_callouts/Activation_Message.java#l39 [^]

Steps To ReproduceIn description
Proposed SolutionRemove the callout
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0032688 acknowledgedplatform remove unused resources 
related to defect 0038173 closedjarmendariz Register button of Registration pop-up navigates to a non-existent URL 
related to defect 0041612 closedcberner API Change: Removed callout Activation_Message and REG_INFO_MESSAGE message 

-  Notes
(0108610)
alostale (developer)
2018-12-14 12:37

It should be removed together with REG_INFO_MESSAGE message
(0113942)
hgbot (developer)
2019-08-12 09:33

Repository: erp/devel/pi
Changeset: 302bd81b609d7df0550efb2324cb03bf92cc9de9
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Thu Aug 08 10:40:46 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/302bd81b609d7df0550efb2324cb03bf92cc9de9 [^]

fixes issue 39348: Removed Activation_Message callout and REG_INFO_MESSAGE msg

Activation_Message callout has been removed along with any reference to it.
REG_INFO_MESSAGE message has been removed, found being used only in Activation_Message.
Removed calls to Activation_Message callout for columns AD_System_Info_ID and TextProxy in table AD_System_Info.

---
M src-db/database/sourcedata/AD_CALLOUT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
R src/org/openbravo/erpCommon/ad_callouts/Activation_Message.java
---
(0114219)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-09-25 10:08 caristu New Issue
2018-09-25 10:08 caristu Assigned To => platform
2018-09-25 10:08 caristu Modules => Core
2018-09-25 10:08 caristu Triggers an Emergency Pack => No
2018-09-25 10:09 caristu Description Updated View Revisions
2018-09-25 10:10 caristu Relationship added related to 0038173
2018-09-25 11:46 caristu Relationship added related to 0032688
2018-12-14 12:37 alostale Note Added: 0108610
2018-12-14 12:37 alostale Status new => acknowledged
2019-08-07 14:03 cberner Assigned To platform => cberner
2019-08-07 14:03 cberner Status acknowledged => scheduled
2019-08-08 14:42 cberner Relationship added related to 0041612
2019-08-09 14:09 cberner Review Assigned To => AugustoMauch
2019-08-12 09:33 hgbot Checkin
2019-08-12 09:33 hgbot Note Added: 0113942
2019-08-12 09:33 hgbot Status scheduled => resolved
2019-08-12 09:33 hgbot Resolution open => fixed
2019-08-12 09:33 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/302bd81b609d7df0550efb2324cb03bf92cc9de9 [^]
2019-08-12 09:33 AugustoMauch Status resolved => closed
2019-08-12 09:34 AugustoMauch Target Version => 3.0PR19Q4
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114219


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker